NL(1)

NOMBRE
nl - numera las líneas de un archivo

SINOPSIS
nl [OPCIÓN]... [ARCHIVO]...

DESCRIPCIÓN

Muestra cada ARCHIVO, con sus líneas numeradas, por la salida estándar.

Si no se define ningún ARCHIVO o bien se indica '-', se lee la entrada estándar.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-b, --body-numbering=ESTILO
    emplea el ESTILO definido para numerar las líneas

-d, --section-delimiter=CC
    emplea CC como separador lógico de página

-f, --footer-numbering=ESTILO
    numera las líneas al pie con el ESTILO definido

-h, --header-numbering=ESTILO
    numera las líneas del encabezado con el ESTILO definido

-i, --line-increment=NÚMERO
    cantidad a incrementar para cada línea

-l, --join-blank-lines=NÚMERO
    cuenta como una solo unidad un determinado NÚMERO de líneas en blanco

-n, --number-format=FORMATO
    inserta los números de línea con el FORMATO indicado

-p, --no-renumber
    no reinicia el conteo del número de líneas con cada sección

-s, --number-separator=CADENA
    añade CADENA trás cada (posible) número de línea

-v, --starting-line-number=NÚMERO
    primer número de línea para cada sección

-w, --number-width=ANCHO
    emplea un ANCHO fijo de columna para los números de línea

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

Las opciones por defecto son las siguientes: -bt -d'\:' -fn -hn -i1 -l1 -n'rn' -s<TAB> -v1 -w6

CC se refiere a dos caracteres empleados para definir los separadores de página; si solo se indica uno de ellos, se tomará el segundo como ':' por defecto. Al ser una extensión de GNU, es posible definir mas de dos caracteres, también se desactiva la concordancia si se define un cadena vacía (-d ”).

ESTILO será uno de los siguientes:

a   numera todas las líneas

t   numera solo las líneas si no están vacías

n   no numera ninguna línea

pBRE
    solo numera las líneas que concuerden con la expresión regular BRE

FORMATO será uno de los siguientes:

ln  justificar a la izquierda, no añade ceros al principio

rn  justificado a la derecha, no añade ceros al principio

rz  justificado a la derecha, añade ceros al principio

AUTOR
Escrito por Scott Bartram y David MacKenzie.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

VÉASE TAMBIÉN
Documentación completa <https://www.gnu.org/software/coreutils/nl>
disponible localmente ejecutando: info '(coreutils) nl invocation'

Packaged by Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo.
NO HAY GARANTÍA, en la medida permitida por la legislación.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.